#ifndef MIP_CPU_H
#define MIP_CPU_H

#include <cpu.h>

class Mip_cpu : public CPU
{
public:
    Mip_cpu();
    Mip_cpu(textureWidget* );
    GLubyte* raycastingCPU(Parametres* p);

private:
    vec4 calculIluminacioFTB(Capsa3D cub, Raig raig, int colorMode, Llum *llum);
    vec4 getColorActual( int mode, float v, int i, int j, int k, Llum *llum, vec4 colorMax);
};

#endif // MIP_CPU_H
